{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Consultez la FAQ afin de trouver les informations que vous rceherchez en rapport avec le Pectus Excavatum."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="FAQ"/>
	<meta property="og:description" content="Consultez la FAQ afin de trouver les informations que vous rceherchez en rapport avec le Pectus Excavatum."/>
{% endblock %}

{% block title %}FAQ
{% endblock %}

{% block body %}
	<section class="container faq-search">
		<h1 class="title title--1 center">FAQ</h1>

		{% if not faqs.items is same as([]) %}
			<h2 class="subtitle center">Trouvez réponses à vos questions !</h2>

			<p class="faq-search__request">
				<span>Votre recherche :</span>
				{{ searchRequest }}</p>
			{% for faq in faqs %}
				<div class="faq-search__faq">
					<h2 class="title title--2">{{ faq.question }}</h2>
					<p>{{ faq.response|length > 500 ? faq.response|slice(0, 500) ~ '...' : faq.response }}</p>
					<div class="buttons">
						{% include 'components/_button.html.twig' with {
						'class': 'button button__primary',
						'type': 'link',
						'path': {
							'name': 'faq_show_faq',
							'args': {
								'slug': faq.slug
							}
						},
						'label': 'Voir cette question'
					} %}
					</div>
				</div>
			{% endfor %}

			{{ knp_pagination_render(faqs) }}
		{% else %}
			<h2 class="subtitle center">Aucun résultat pour votre recherche.</h2>
		{% endif %}
	</section>
{% endblock %}
